diff -uNr mythtv-0.21/i18n/mythfrontend_de.ts mythtv/i18n/mythfrontend_de.ts
--- mythtv-0.21/i18n/mythfrontend_de.ts	2008-03-04 04:48:46.000000000 +0100
+++ mythtv/i18n/mythfrontend_de.ts	2009-02-24 19:47:16.000000000 +0100
@@ -11090,91 +11247,91 @@
     <name>SIScan</name>
     <message>
         <source>Updated Channel %1</source>
-        <translation type="unfinished"></translation>
+        <translation>Sender %1 aktualisiert</translation>
     </message>
     <message>
         <source>Added Channel %1</source>
-        <translation type="unfinished"></translation>
+        <translation>Sender %1 hinzugefügt</translation>
     </message>
     <message>
         <source>Failed to add channel %1</source>
-        <translation type="unfinished"></translation>
+        <translation>Konnte Sender %1 nicht hinzufügen</translation>
     </message>
     <message>
         <source>Network %1 Processing</source>
-        <translation type="unfinished"></translation>
+        <translation>Netzwerk %1 Verarbeitung</translation>
     </message>
     <message>
         <source>Finished processing Transport List</source>
-        <translation type="unfinished"></translation>
+        <translation>Transportliste fertig abgearbeitet</translation>
     </message>
     <message>
         <source>Updating Services</source>
-        <translation type="unfinished"></translation>
+        <translation>Dienste werden aktualisiert</translation>
     </message>
     <message>
         <source>Finished processing Services</source>
-        <translation type="unfinished"></translation>
+        <translation>Dienste fertig abgearbeitet</translation>
     </message>
     <message>
         <source>Frequency %1</source>
-        <translation type="unfinished"></translation>
+        <translation>Frequenz %1</translation>
     </message>
     <message>
         <source>as</source>
-        <translation type="unfinished"></translation>
+        <translation>als</translation>
     </message>
     <message>
         <source>Skipping %1, not in imported channel map</source>
-        <translation type="unfinished"></translation>
+        <translation>Überspringe %1, nicht in importierter Kanaltabelle</translation>
     </message>
     <message>
         <source>%1%2%3 on %4 (%5)</source>
-        <translation type="unfinished"></translation>
+        <translation>%1%2%3 auf %4 (%5)</translation>
     </message>
     <message>
         <source>Adding %1</source>
-        <translation type="unfinished"></translation>
+        <translation>Füge %1 hinzu</translation>
     </message>
     <message>
         <source>Updating %1</source>
-        <translation type="unfinished"></translation>
+        <translation>Aktualisiere %1</translation>
     </message>
     <message>
         <source>Skipping %1</source>
-        <translation type="unfinished"></translation>
+        <translation>Überspringe %1</translation>
     </message>
     <message>
         <source>on %1</source>
-        <translation type="unfinished"></translation>
+        <translation>auf %1</translation>
     </message>
     <message>
         <source>Data Only Channel (off-air?)</source>
-        <translation type="unfinished"></translation>
+        <translation>Nur Datenkanal (nicht in Betrieb?)</translation>
     </message>
     <message>
         <source>Empty Channel (off-air?)</source>
-        <translation type="unfinished"></translation>
+        <translation>Leerer Kanal (nicht in Betrieb?)</translation>
     </message>
     <message>
         <source>Audio Only Channel</source>
-        <translation type="unfinished"></translation>
+        <translation>Nur Tonkanal</translation>
     </message>
     <message>
         <source>Encrypted Channel</source>
-        <translation type="unfinished"></translation>
+        <translation>Verschlüsselter Kanal</translation>
     </message>
     <message>
         <source>%1 %2-%3 as %4 on %5 (%6)</source>
-        <translation type="unfinished"></translation>
+        <translation>%1 %2-%3 als %4 auf %5 (%6)</translation>
     </message>
     <message>
         <source>Found channel, but it doesn&apos;t match existing tsid. You may wish to delete existing channels and do a full scan.</source>
-        <translation type="unfinished"></translation>
+        <translation>Kanal gefunden, aber er paßt nicht zur existierenden TSID. Eventuell sollten sie die existierenden Kanäle löschen und eine vollständinge Suche durchführen.</translation>
     </message>
     <message>
         <source>Skipping %1 - already in DB, and we don&apos;t have better data.</source>
-        <translation type="unfinished"></translation>
+        <translation>Überspringe %1 - schon vorhanden und wir haben keine besseren Daten.</translation>
     </message>
 </context>
 <context>
@@ -11208,7 +11365,7 @@
     </message>
     <message>
         <source>Tuning</source>
-        <translation type="unfinished"></translation>
+        <translation>Einstellen</translation>
     </message>
     <message>
         <source>Scan</source>
@@ -11412,94 +11569,95 @@
     </message>
     <message>
         <source>marked as HDTV</source>
-        <translation type="unfinished"></translation>
+        <translation>als HDTV markiert</translation>
     </message>
     <message>
         <source>from source</source>
-        <translation type="unfinished"></translation>
+        <translation>von Quelle</translation>
     </message>
     <message>
         <source>on input</source>
-        <translation type="unfinished"></translation>
+        <translation>auf Eingang</translation>
     </message>
     <message>
         <source>%1 of these are Deleted and consume %2</source>
-        <translation type="unfinished"></translation>
+        <translation>%1 davon sind gelöscht und belegen %2</translation>
     </message>
 </context>
 <context>
     <name>StorageGroupEditor</name>
     <message>
         <source>&apos;%1&apos; Storage Group Directories</source>
-        <translation type="unfinished"></translation>
+        <translation>&apos;%1&apos; Speichergruppen Verzeichnisse</translation>
     </message>
     <message>
         <source>Local &apos;%1&apos; Storage Group Directories</source>
-        <translation type="unfinished"></translation>
+        <translation>Lokale &apos;%1&apos; Speichergruppen Verzeichnisse</translation>
     </message>
     <message>
         <source>Add Storage Group Directory</source>
-        <translation type="unfinished"></translation>
+        <translation>neues Verzeichnis für Speichergruppe</translation>
     </message>
     <message>
         <source>Enter directory name or press SELECT to enter text via the On Screen Keyboard</source>
-        <translation type="unfinished"></translation>
+        <translation>Verzeichnis eingeben oder SELECT drücken um Text mit der Bildschirm Tastatur einzugeben</translation>
     </message>
     <message>
         <source>Edit Storage Group Directory</source>
-        <translation type="unfinished"></translation>
+        <translation>Verzeichnis f. Speichergruppen bearbeiten</translation>
     </message>
     <message>
         <source>Remove &apos;%1&apos;
 Directory From Storage Group?</source>
-        <translation type="unfinished"></translation>
+        <translation>Verzeichnis &apos;%1&apos;
+aus der Speichergruppe entfernen?</translation>
     </message>
     <message>
         <source>Yes, remove directory</source>
-        <translation type="unfinished"></translation>
+        <translation>Ja, Verzeichnis entfernen</translation>
     </message>
     <message>
         <source>No, Don&apos;t remove directory</source>
-        <translation type="unfinished"></translation>
+        <translation>Nein, Verzeichnis nicht entfernen</translation>
     </message>
     <message>
         <source>(Add New Directory)</source>
-        <translation type="unfinished"></translation>
+        <translation>(Neues Verzeichnis hinzu)</translation>
     </message>
 </context>
 <context>
     <name>StorageGroupListEditor</name>
     <message>
         <source>Storage Groups (directories for new recordings)</source>
-        <translation type="unfinished"></translation>
+        <translation>Speichergruppen (Verzeichnisse für neue Aufnahmen)</translation>
     </message>
     <message>
         <source>Local Storage Groups (directories for new recordings)</source>
-        <translation type="unfinished"></translation>
+        <translation>Lokale Speichergruppen (Verzeichnisse für neue Aufnahmen)</translation>
     </message>
     <message>
         <source>Create New Storage Group</source>
-        <translation type="unfinished"></translation>
+        <translation>Neue Speichergruppe anlegen</translation>
     </message>
     <message>
         <source>Enter group name or press SELECT to enter text via the On Screen Keyboard</source>
-        <translation type="unfinished"></translation>
+        <translation>Gruppenname eingeben oder SELECT drücken um Text mit der Bildschirm Tastatur einzugeben</translation>
     </message>
     <message>
         <source>Delete &apos;%1&apos; Storage Group?</source>
-        <translation type="unfinished"></translation>
+        <translation>Lösche Speichergruppe &apos;%1&apos;?</translation>
     </message>
     <message>
         <source>Yes, delete group</source>
-        <translation type="unfinished">Ja, Gruppe löschen</translation>
+        <translation>Ja, Gruppe löschen</translation>
     </message>
     <message>
         <source>No, Don&apos;t delete group</source>
-        <translation type="unfinished">Nein, Gruppe nicht löschen</translation>
+        <translation>Nein, Gruppe nicht löschen</translation>
     </message>
     <message>
         <source>(Create %1 group)</source>
-        <translation type="unfinished"></translation>
+        <translation>(Erzeuge %1 Gruppen)</translation>
     </message>
 </context>
 <context>
@@ -11586,7 +11744,7 @@
     </message>
     <message>
         <source>Adjust Volume</source>
-        <translation>Lautstärke</translation>
+        <translation>Lautstärke anpassen</translation>
     </message>
     <message>
         <source>Mute On</source>
@@ -11746,7 +11904,7 @@
     </message>
     <message>
         <source>Sleep </source>
-        <translation>Schlaf</translation>
+        <translation>Abschalttimer</translation>
     </message>
     <message>
         <source>16:9 Stretch</source>
@@ -12080,7 +12238,7 @@
     </message>
     <message>
         <source>DVD Root Menu</source>
-        <translation>DVD Haupt Menü</translation>
+        <translation>DVD Hauptmenü</translation>
     </message>
     <message>
         <source>Schedule Recordings</source>
@@ -12128,7 +12286,7 @@
     </message>
     <message>
         <source>[O]k</source>
-        <translation type="unfinished"></translation>
+        <translation>[O]k</translation>
     </message>
     <message>
         <source>Jump to Program</source>
@@ -12144,7 +12302,7 @@
     </message>
     <message>
         <source>Autodetect</source>
-        <translation>Auto-Erkennung</translation>
+        <translation>Automatisch</translation>
     </message>
     <message>
         <source>High Quality</source>
@@ -12160,15 +12318,15 @@
     </message>
     <message>
         <source>Toggle Teletext Captions</source>
-        <translation>Teletextuntertitel An-Aus</translation>
+        <translation>Teletext Untertitel Ein/Aus</translation>
     </message>
     <message>
         <source>Toggle Teletext Menu</source>
-        <translation>Teletext Menü An-Aus</translation>
+        <translation>Teletext Menü Ein/Aus</translation>
     </message>
     <message>
         <source>Toggle</source>
-        <translation>An-Aus</translation>
+        <translation>Ein/Aus</translation>
     </message>
     <message>
         <source>(I)</source>
@@ -12183,11 +12341,11 @@
     <message>
         <source>(P)</source>
         <comment>Progressive</comment>
-        <translation type="unfinished">Progressiv</translation>
+        <translation>(P)</translation>
     </message>
     <message>
         <source>Video Scan</source>
-        <translation type="unfinished"></translation>
+        <translation>Video Scan</translation>
     </message>
     <message>
         <source>Detect</source>
@@ -12254,7 +12412,7 @@
     </message>
     <message>
         <source>DVD</source>
-        <translation type="unfinished"></translation>
+        <translation>DVD</translation>
     </message>
     <message>
         <source>Menu</source>
@@ -12262,7 +12420,7 @@
     </message>
     <message>
         <source>Still Frame</source>
-        <translation type="unfinished"></translation>
+        <translation>Standbild</translation>
     </message>
     <message>
         <source>Title: %1 (%2)</source>
@@ -12270,11 +12428,11 @@
     </message>
     <message>
         <source>Chapter: %1/%2</source>
-        <translation>Kapittel: %1/%2</translation>
+        <translation>Kapitel: %1/%2</translation>
     </message>
     <message>
         <source>DVD Chapter Menu</source>
-        <translation>DVD Kapittel Menü</translation>
+        <translation>DVD Kapitelmenü</translation>
     </message>
     <message>
         <source>You are exiting this %1</source>
@@ -12306,43 +12464,43 @@
     </message>
     <message>
         <source>Exit</source>
-        <translation type="unfinished">Beenden</translation>
+        <translation>Beenden</translation>
     </message>
     <message>
         <source>MythTV wants to record &quot;%1&quot; on %2 in %d seconds. Do you want to:</source>
-        <translation type="unfinished"></translation>
+        <translation>MythTV wird &quot;%1&quot; auf %2 in %d Sekunden aufnehmen. Was möchten Sie tun?</translation>
     </message>
     <message>
         <source>Let them record and go back to the Main Menu</source>
-        <translation type="unfinished"></translation>
+        <translation>Aufnehmen und ins Hauptmenü springen</translation>
     </message>
     <message>
         <source>Record it later, I want to watch TV</source>
-        <translation type="unfinished"></translation>
+        <translation>Später aufnehmen, Ich möchte fernsehen</translation>
     </message>
     <message>
         <source>Record them later, I want to watch TV</source>
-        <translation type="unfinished"></translation>
+        <translation>Später aufnehmen, Ich möchte fernsehen</translation>
     </message>
     <message>
         <source>Don&apos;t let them record, I want to watch TV</source>
-        <translation type="unfinished"></translation>
+        <translation>Nicht aufnehmen, Ich möchte fernsehen</translation>
     </message>
     <message>
         <source>You should have gotten a channel lock by now. You can continue to wait for a signal, or you can change the channels with %1 or %2, change video source (%3), inputs (%4), etc.</source>
-        <translation type="unfinished"></translation>
+        <translation>Sie sollten schon eine Kanalverriegelung bekommen haben. Sie können weiter auf ein Signal warten oder sie können den Kanal mit %1 oder %2 wechseln, die Video Quelle wechseln (%3), Eingänge wechseln (%4), etc.</translation>
     </message>
     <message>
         <source>Yes</source>
-        <translation type="unfinished">Ja</translation>
+        <translation>Ja</translation>
     </message>
     <message>
         <source>Adjust Fill</source>
-        <translation type="unfinished"></translation>
+        <translation>Füllung Einstellen</translation>
     </message>
     <message>
         <source>Switch Input</source>
-        <translation type="unfinished"></translation>
+        <translation>Eingang wechseln</translation>
     </message>
     <message>
         <source>C</source>
@@ -12356,23 +12514,35 @@
     </message>
     <message>
         <source>Switch Source</source>
-        <translation type="unfinished"></translation>
+        <translation>Quelle wechseln</translation>
     </message>
     <message>
         <source>Upcoming Recordings</source>
-        <translation type="unfinished"></translation>
+        <translation>Nächste Aufnahmen</translation>
     </message>
     <message>
         <source>Error</source>
-        <translation type="unfinished"></translation>
+        <translation>Fehler</translation>
     </message>
     <message>
         <source>You are exiting %1</source>
-        <translation type="unfinished"></translation>
+        <translation>Sie verlassen %1</translation>
     </message>
     <message>
         <source>Exit %1</source>
-        <translation type="unfinished"></translation>
+        <translation>Beende %1</translation>
+    </message>
+    <message>
+        <source>No</source>
+        <translation>Nein</translation>
+    </message>
+    <message>
+        <source>MythTV is using all inputs for Live TV?</source>
+        <translation>MythTV benutzt alle Eingänge für LiveTV?</translation>
+    </message>
+    <message>
+        <source>MythTV has no capture cards defined. Please run the mythtv-setup program.</source>
+        <translation>MythTV hat keine TV-Karten definiert. Bitte starten Sie das mythtv-setup Programm.</translation>
     </message>
 </context>
 <context>
@@ -12495,23 +12665,23 @@
     </message>
     <message>
         <source>Select a recording to permanently erase</source>
-        <translation>Welche Aufnahme soll gelöscht werden</translation>
+        <translation>Wählen Sie die Aufnahme, die gelöscht werden soll</translation>
     </message>
     <message>
         <source>Select a recording to watch</source>
-        <translation>Welche Aufnahme möchten Sie sehen</translation>
+        <translation>Wählen Sie eine Aufnahme</translation>
     </message>
     <message>
         <source>Select a recording to permanently erase:</source>
-        <translation>Welche Aufnahme soll gelöscht werden:</translation>
+        <translation>Wählen Sie die Aufnahme, die gelöscht werden soll:</translation>
     </message>
     <message>
         <source>Select a recording to permanently erase.</source>
-        <translation>Welche Aufnahme soll gelöscht werden:</translation>
+        <translation>Wählen Sie die Aufnahme, die gelöscht werden soll.</translation>
     </message>
     <message>
         <source>Select a recording to watch.</source>
-        <translation>Welche Aufnahme möchten Sie sehen.</translation>
+        <translation>Wählen Sie eine Aufnahme.</translation>
     </message>
     <message>
         <source>Description:</source>
@@ -12578,7 +12748,7 @@
     <name>TransportList</name>
     <message>
         <source>New Transport</source>
-        <translation>Neuer Transport</translation>
+        <translation>Neuer Transponder</translation>
     </message>
 </context>
 <context>
@@ -12609,26 +12779,26 @@
     </message>
     <message>
         <source>Multiplex Editor</source>
-        <translation type="unfinished"></translation>
+        <translation>Multiplex Editor</translation>
     </message>
 </context>
 <context>
     <name>UIListBtnType</name>
     <message>
         <source>Search</source>
-        <translation type="unfinished">Suche</translation>
+        <translation>Suche</translation>
     </message>
     <message>
         <source>Starts with text</source>
-        <translation type="unfinished">Beginnt mit</translation>
+        <translation>Beginnt mit</translation>
     </message>
     <message>
         <source>Contains text</source>
-        <translation type="unfinished">Enthält</translation>
+        <translation>Enthält</translation>
     </message>
     <message>
         <source>Cancel</source>
-        <translation type="unfinished">Abbrechen</translation>
+        <translation>Abbrechen</translation>
     </message>
 </context>
 <context>
@@ -12750,18 +12920,18 @@
     </message>
     <message>
         <source>Conflict Today</source>
-        <translation type="unfinished"></translation>
+        <translation>Überschneidung Heute</translation>
     </message>
     <message>
         <source>Conflict </source>
-        <translation type="unfinished"></translation>
+        <translation>Überschneidung </translation>
     </message>
 </context>
 <context>
     <name>WelcomeDialog</name>
     <message>
         <source>Start Frontend</source>
-        <translation>Frontend starten</translation>
+        <translation>Hauptmenü anzeigen</translation>
     </message>
     <message>
         <source>Cannot connect to server!</source>
@@ -12791,7 +12961,7 @@
     </message>
     <message>
         <source>MythTV is about to start recording.</source>
-        <translation>MythTV wird bald eine Aufnahme starten.</translation>
+        <translation>MythTV wird gleich eine Aufnahme starten.</translation>
     </message>
     <message>
         <source>MythTV is busy recording.</source>
@@ -12827,15 +12997,15 @@
     </message>
     <message>
         <source>Menu</source>
-        <translation>Menu</translation>
+        <translation>Menü</translation>
     </message>
     <message>
         <source>Unlock Shutdown</source>
-        <translation>Runterfahren erlauben</translation>
+        <translation>Ausschalten erlauben</translation>
     </message>
     <message>
         <source>Lock Shutdown</source>
-        <translation>Runterfahren verhindern</translation>
+        <translation>Ausschalten verhindern</translation>
     </message>
     <message>
         <source>Run mythfilldatabase</source>
@@ -12843,7 +13013,7 @@
     </message>
     <message>
         <source>Shutdown Now</source>
-        <translation>Jetzt herunterfahren</translation>
+        <translation>Jetzt ausschalten</translation>
     </message>
     <message>
         <source>Exit</source>
@@ -12859,7 +13029,7 @@
     </message>
     <message>
         <source>Cannot shutdown because MythTV is about to start recording</source>
-        <translation>Kein Herunterfahren möglich, da MythTV bald eine Aufnahme beginnt.</translation>
+        <translation>Kein Herunterfahren möglich, da MythTV gleich eine Aufnahme beginnt.</translation>
     </message>
     <message>
         <source>Cannot shutdown because MythTV is about to start a wakeup/shutdown period.</source>
@@ -12871,11 +13041,11 @@
     </message>
     <message>
         <source>to</source>
-        <translation type="unfinished"></translation>
+        <translation>bis</translation>
     </message>
     <message>
         <source>MythTV has running or pending jobs.</source>
-        <translation type="unfinished"></translation>
+        <translation>MythTV hat anstehende Aufgaben.</translation>
     </message>
 </context>
 <context>
Dateien mythtv-0.21/i18n/mythfrontend_dk.qm und mythtv/i18n/mythfrontend_dk.qm sind verschieden.
